Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.grammars
Interface CommentListener

All Known Implementing Classes:
  FileContents

public interface CommentListener

This interface is used to be notified by parser about comments in the parsed code.

Author:
  o_sukhodolsky

Method Summary
`void` | `reportBlockComment(java.lang.String aType, int aStartLineNo, int aStartColNo, int aEndLineNo, int aEndColNo)` Report the location of a block comment that can span multiple lines.
`void` | `reportSingleLineComment(java.lang.String aType, int aStartLineNo, int aStartColNo)` Report the location of a single line comment that extends from the given point to the end of the line.

Method Detail

### reportSingleLineComment

    public void reportSingleLineComment(java.lang.String aType,
                                        int aStartLineNo,
                                        int aStartColNo)

  Report the location of a single line comment that extends from the given point to the end of the line. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

  Parameters:
    `aType` - an identifier for what type of comment it is.
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number

### reportBlockComment

    public void reportBlockComment(java.lang.String aType,
                                   int aStartLineNo,
                                   int aStartColNo,
                                   int aEndLineNo,
                                   int aEndColNo)

  Report the location of a block comment that can span multiple lines. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

  Parameters:
    `aType` - an identifier for what type of comment it is.
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number
    `aEndLineNo` - the ending line number
    `aEndColNo` - the ending column number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD